Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.processtemplates
Class SetMigrationRules

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.processtemplates.SetMigrationRules

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<VoidResult>, net.customware.gwt.dispatch.shared.Action<VoidResult>

    public class SetMigrationRules

extends java.lang.Object
implements OSAction<VoidResult>

Set Migration Rules for a given Process Template.

This call will set the migration rules in the Engine and cause any qualifying process instances to migrate.

No result is returned, an ActionException is thrown if an error occurs.

©2011 TIBCO Software Inc.

Since:
  1.2.0
See Also:
  `MigrationRule`

Constructor Summary
`SetMigrationRules(java.lang.String processName, java.lang.String moduleName, java.util.HashMap<java.lang.String,java.util.ArrayList<MigrationRule>> rules)` Constructs a new SetMigrationRules Action

Method Summary
`java.lang.String` | `getModuleName()` Module Name of the process Template to be migrated.
`java.lang.String` | `getProcessName()` Name of the Process Template to be migrated.
`java.util.HashMap<java.lang.String,java.util.ArrayList<MigrationRule>>` | `getRules()` HashMap containing the Migration Rules to apply.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetMigrationRules

    public SetMigrationRules(java.lang.String processName,
                             java.lang.String moduleName,
                             java.util.HashMap<java.lang.String,java.util.ArrayList<MigrationRule>> rules)

  Constructs a new SetMigrationRules Action

  Parameters:
    `processName` - Name of the Process Template to be migrated.
    `moduleName` - Module Name of the process Template to be migrated.
    `rules` - HashMap containing the Migration Rules to apply.

    The Map should be keyed on the source version for the migration.

    Each source version in the map should contain a list of `MigrationRule` entries for that version.

    Rules with isApplied = true and isDeleted = true will be removed from the Engine.

    Rules with isApplied = false and isDeleted = false will be applied to the Engine.

    The client should keep track of which rules have been applied and set the isApplied flag appropriately.

Method Detail

### getProcessName

    public java.lang.String getProcessName()

  Name of the Process Template to be migrated.

  Returns:
    Returns the processName.

### getModuleName

    public java.lang.String getModuleName()

  Module Name of the process Template to be migrated.

  Returns:
    Returns the moduleName.

### getRules

    public java.util.HashMap<java.lang.String,java.util.ArrayList<MigrationRule>> getRules()

  HashMap containing the Migration Rules to apply.

  The Map should be keyed on the source version for the migration.

  Each source version in the map should contain a list of `MigrationRule` entries for that version.

  Rules with isApplied = true and isDeleted = true will be removed from the Engine.

  Rules with isApplied = false and isDeleted = false will be applied to the Engine.

  The client should keep track of which rules have been applied and set the isApplied flag appropriately.

  Returns:
    Returns the rules.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.